## isdnutils 3.9.20060704+dfsg.2

=== debian/changelog ===
isdnutils (1:3.9.20060704+dfsg.2-12) unstable; urgency=low

  * debian/libcapi20-3.links: link *.so to *.so.0.0.0 (Closes: #650156)
    Many thanks to Michael Müller for his work on the issue.
  * rely more on debhelper instead of fragile scripting
    - let dh7 take care of some of the stuff in debian/finish-install*.sh
    - replace dh_movefiles with dh_install
    - use specialized debhelper tools for docs, man pages and examples
    - rely on dh_lintian for the overrides
  * debian/patches/ALL_*.patch: strip unnecessary linking from builds
  * debian/rules:
    - empty dependency_libs field in .la files
    - use dh_prep instead of dh_clean -k
    - use $CURDIR instead of $pwd
  * debian/libcapi20-3.README: add information how to recompile for debugging
  * debian/*.lintian-overrides: fix some syntactical errors
  * drop transitional binary metapackage isdnutils
  * debian/*.dirs:
    - fix isdnutils-doc touching usr/share/doc/isdnutils
    - drop erroneous /usr/man/man1 directory from isdnutils-xtools.dirs
  * drop debian/*.conffiles (unnecessary since compat level 3 already)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 29 Nov 2011 14:20:45 +0800

isdnutils (1:3.9.20060704+dfsg.2-11) unstable; urgency=low

  [ Jeroen Schot ]
  * debian/po: add Dutch translation. Closes: #626896

  [ Joe Dalton ]
  * debian/po: add Danish translation.  Closes: #626306

  [ Rolf Leggewie ]
  * debian/control:
    - build for Architecture: linux-any. Closes: #644333
    - make sure that isdnlog is safe for binNMU
    - bump up to policy 3.9.2. still not lintian-clean.
  * debian/libcapi20: ship usr/lib/capi/*.so.* files
  * streamline debian rules and leverage more of debhelper7 magic
    - bump debhelper version requirement
    - bump compat for debian/clean support
    - move some of the clean target out of debian/rules and into debian/clean
    - remove some comments
    - still loads of work left to be done
  * debian/patches: strip uselessly added linkage from no-imake.patch

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 10 Oct 2011 20:29:25 +0800

isdnutils (1:3.9.20060704+dfsg.2-10) unstable; urgency=medium

  * debian/patches/: update vbox-autotools.patch. Closes: #618228
    make the build-system agnostic to tcl-version from the build host
  * debian/control
    - allow uploads by Debian Maintainers
    - drop build dependency on automake1.4, possibility for further
      simplifications need to be investigated, help more than welcome!

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 16 Jul 2011 04:22:45 +0900

isdnutils (1:3.9.20060704+dfsg.2-9) experimental; urgency=low

  * capi20: grab Jan-Michael's new code from cvs. LP: 420918
  * debian/patches:
    - rebase capi20-h-needs-stddef-h.patch to newest capi20 code
    - apply load_capifs_silently.patch from Jan Kiszka
      capifs will be dropped in kernel >= 2.6.38
  * debian/rules: drop call to debconf-updatepo
  * debian/init.d.functions: force overwriting a dangling symlink
    as discussed in bug 609736

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 31 Oct 2010 09:51:08 +0900

isdnutils (1:3.9.20060704+dfsg.2-8) unstable; urgency=low

  * remove calls to MAKEDEV from *.postinst and init.d.functions
    they should no longer be necessary. Closes: #607387

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 27 Dec 2010 12:54:01 +0800

isdnutils (1:3.9.20060704+dfsg.2-7) unstable; urgency=medium

  * debian/*.postinst: hardcode path to MAKEDEV
    Closes: #604219, #604211, #597926, #604216
  * debian/control: 
    - drop explicit dependency on "udev|makedev", this is picked up
      automatically
    - add armhf support.  Closes: #604675

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 25 Nov 2010 20:47:52 +0100

isdnutils (1:3.9.20060704+dfsg.2-6) unstable; urgency=low

  * turn "abort on error" in debian/isdnutils-base.config and
    debian/isdnvboxserver.config off until further analysis has been done
    (c.f. bugs 601768 and 554537 which report upgrade breakage)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 29 Oct 2010 21:39:39 +0900

isdnutils (1:3.9.20060704+dfsg.2-5) unstable; urgency=low

  * debian/control:
    - take over maintainership of isdnutils (Closes: #546946)
    - bump to standard 3.9.1 (still not lintian clean)
      drop a couple of obsolete lintian overrides
    - add Homepage and Vcs fields
  * rename isdnutils.lintian-overrides to source.lintian-overrides
  * abort on error for maintenance scripts as recommend by policy
    - debian/isdnutils-base.config
    - debian/isdnvboxserver.config
  * debian/watch: adjust dversionmangle to work with dfsg-numbering
  * fix section inconsistencies for a number of man pages
  * debian/copyright: add my copyright
  * isdnlog: fix spelling mistake in dest.cdb (Closes: #593136)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 28 Oct 2010 07:17:42 +0900

isdnutils (1:3.9.20060704+dfsg.2-4) unstable; urgency=low

  * QA upload
  * Add va_list.patch to debian/patches/series (Closes: #600037).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Oct 2010 11:27:39 +0900

isdnutils (1:3.9.20060704+dfsg.2-3) unstable; urgency=low

  * QA upload
  * Rebuild including the architecture-indepdendent binaries

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 14 Oct 2010 03:13:14 +0100

isdnutils (1:3.9.20060704+dfsg.2-2) unstable; urgency=low

  * QA upload
  * Fix short diff context in ippd-ms-chap.patch which caused lenny's
    patch command (and dpkg-source) to reject it

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 10 Oct 2010 00:07:00 +0100

isdnutils (1:3.9.20060704+dfsg.2-1) unstable; urgency=low

  * QA upload
  * Restore ipppd, replacing the GPL-licenced code (Closes: #599627)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 09 Oct 2010 19:14:37 +0100

isdnutils (1:3.9.20060704+dfsg.1-3) unstable; urgency=low

  * QA upload.
  * Replace tcl8.3-dev Build Dependency with tcl-dev (Closes: #590651). 


