## isdnutils 3.9.20060704+dfsg.3

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile,v 1.58 2005/02/21 17:51:57 keil Exp $
+# $Id: Makefile,v 1.60 2006/01/15 15:19:05 keil Exp $
 #
 # Toplevel Makefile for isdn4k-utils
 #
 
 .EXPORT_ALL_VARIABLES:
 
-export I4LVERSION = 3.7
+export I4LVERSION = 3.9
 
 all:	do-it-all
