=== debian/changelog ===
isdnutils (1:3.9.20060704+dfsg.3-4) unstable; urgency=low

  * smooth out upgrades from b0rked libcapi20 packages. Closes: #656204
  * debian/init.d.functions: completely drop udev probing. Closes: #644315
  * debian/isdnlog.postinst: update path to isdnlog.DEVICE. Closes: #661074
    the file was moved around recently. My apologies for the regression.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 24 Feb 2012 23:07:18 +0800

isdnutils (1:3.9.20060704+dfsg.3-3) unstable; urgency=low

  * libcapi20-{3,dev}: *.so files ought to be shipped in -dev package
  * libcapi20-dev: stop shipping .la files at all
  * drop some obsolete maintainer files
  * drop code to upgrade from ancient releases from maintainer files
  * let dh_installinit do its magic. Closes: #656125
  * debian/ipppd.postinst: ip-up and ip-down scripts changed file names
  * debian/rules: stop special-casing hurd and sh ARCH

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 17 Jan 2012 08:22:29 +0800

isdnutils (1:3.9.20060704+dfsg.3-2) unstable; urgency=medium

  * debian/libcapi20-dev.install: drop libcapi20.so file from the dev package
    Closes: #655840. Closes: #655760.
  * leverage more of debhelper in the build system (ongoing effort)
    - leverage more of the power of dh_{install,installppp,installdocs,
      installexamples,installinit,installlogrotate,installmodules}
    - drop debian/finish-install-last.sh
    - significantly reduce special-casing in debian/rules
    - call "dh install" from the install target instead of "dh_install"
      only.  The former implies the latter and more.
    - binary-indep and clean target fully migrated to dh
    - migrate most of binary-arch target over to dh as well
  * debian/cisco-config: drop unused file

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 14 Jan 2012 18:30:49 +0800

isdnutils (1:3.9.20060704+dfsg.3-1) unstable; urgency=medium

  [ Michael Mueller ]
  * debian/patches: export symbol alloc_applid for capi20. Closes: #650155

  [ Rolf Leggewie ]
  * create dfsg tarball 3.9.20060704+dfsg.3
    - stop shipping upstream capi20 which we fully replace with cvs trunk
    - drop .cvsignore files, too, while we're at it
  * leverage more of debhelper to do the packaging (ongoing effort)
  * debian/rules:
    - add "dummy" build-arch and build-indep target
    - clean target successfully moved to dh standard
  * debian/capiutils.init: drop code related to obsolete capifs.
    Closes: #651722, closes: #335283, closes: #414199, closes: #433992
  * debian/isdnlog.postinst: remove code to update from 10 year old package
  * libcapi20-3: install instead of explicitly creating links to libs
  * isdnutils-base: drop obsolete README.source

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 11 Jan 2012 12:17:14 +0800
