=== debian/control ===
Source: isdnutils
Section: utils
Priority: extra
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Uploaders: Jan-Michael Brummer <jan.brummer@tabos.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), bzip2, libncurses5-dev | libncurses-dev,
 xutils-dev | imake, tcl-dev, linuxdoc-tools (>=0.9.20), groff, libtool,
 libxaw7-dev, libreadline-dev, libpcap0.8-dev, autotools-dev,
 automake1.7, automake1.9, autoconf2.13, autoconf, libssl-dev, psutils,
 lsb-release, po-debconf
Homepage: http://www.isdn4linux.de
Vcs-Git: git://git.debian.org/git/collab-maint/isdnutils.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/isdnutils.git

Package: isdnutils-base
Priority: optional
Architecture: linux-any
Pre-Depends: debconf (>= 1.2.9) | debconf-2.0
Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu3), ${misc:Depends}
Suggests: ipppd, isdnlog, isdnutils-doc, isdnutils-xtools, isdnvboxserver, isdnvboxclient
Description: ISDN utilities - minimal set
 This package provides the basic set of ISDN utilities needed to make use
 of an ISDN card. For more complete functionality, install the isdnutils
 dependency package.

Package: isdnutils-xtools
Architecture: linux-any
Section: x11
Depends: isdnutils-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ISDN utilities - graphical tools
 This package provides xmonisdn and xisdnload, which are graphical tools
 for ISDN. Each in its own way gives a visual indication of the status of
 the ISDN lines, so that (for example) it is obvious when there is a
 connection.
 .
 They have been split out into a separate package to allow the others
 in the suite to avoid dependencies on the X Window System.

Package: ipppd
Architecture: linux-any
Section: net
Depends: isdnutils-base (= ${binary:Version}), debconf (>=1.2.9) | debconf-2.0, ppp, ${shlibs:Depends}, ${misc:Depends}
Suggests: pdnsd
Description: ISDN utilities - PPP daemon
 This package provides the specially modified version of the Point to
 Point Protocol daemon needed to connect to the Internet through an
 internal ISDN card. It also supports dial-in connections from Windows
 clients.

Package: isdnlog
Architecture: linux-any
Depends: isdnutils-base (= ${binary:Version}), isdnlog-data (>= ${source:Version}),
 debconf (>=1.2.9) | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}
Description: ISDN utilities - connection logger
 This package provides a set of utilities that can log ISDN connections and
 calculate the cost of calls. If sufficient data is available, it can even
 recommend which alternate carrier would have been cheaper for a given call.
 For countries where calls are charged per discrete unit, it can disconnect
 the line just before the next unit starts.

Package: isdnlog-data
Architecture: all
Depends: ${misc:Depends}
Recommends: isdnlog (>= ${source:Version})
Suggests: isdnutils-doc
Description: ISDN utilities - connection logger data
 This package provides data related to call pricing, area codes, etcetera,
 in various countries, and is only useful with isdnlog.

Package: isdnutils-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: isdnutils-base (= ${source:Version})
Description: ISDN utilities - documentation
 This package includes the FAQ and other miscellaneous documentation
 for the ISDN utilities suite, in English and German.

Package: isdnvbox
Architecture: linux-any
Depends: isdnvboxclient, isdnvboxserver, ${misc:Depends}
Recommends: sox
Description: ISDN utilities - answering machine dependency package
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package depends for convenience on both the vbox server (with which
 the messages are recorded) and the client (with which you listen to them).

Package: isdnvboxclient
Architecture: linux-any
Depends: ${shlibs:Depends}, sox | nas-bin | alsa-utils, ${misc:Depends}
Suggests: isdnvboxserver, isdnutils-doc
Description: ISDN utilities - answering machine client
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package provides the vbox client, with which you can listen to the
 messages recorded by a vbox server (either running on the same machine or
 accessible over the network).

Package: isdnvboxserver
Architecture: linux-any
Depends: isdnutils-base (= ${binary:Version}), debconf (>=1.2.9) | debconf-2.0,
 ${shlibs:Depends}, openbsd-inetd | inet-superserver, ${misc:Depends}
Suggests: isdnvboxclient
Description: ISDN utilities - answering machine server
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package provides the vbox server, which must be installed on the
 system with the ISDN card. To actually listen to the recorded messages
 you need the client package (isdnvboxclient) somewhere, not necessarily on
 the same system.

Package: capiutils
Architecture: linux-any
Depends: libcapi20-3 (= ${binary:Version}), ${shlibs:Depends},
 lsb-base (>= 1.3-9ubuntu3), ${misc:Depends}
Section: net
Description: ISDN utilities - tools for CAPI-capable cards
 Some ISDN cards (notably the AVM active cards, and the AVM passive cards
 when using the proprietary drivers) are accessed via the CAPI interface.
 The package contains utilities to initialize and get information about
 these cards.

Package: libcapi20-3
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: isdnutils-doc
Description: ISDN utilities - CAPI support libraries
 If you have an ISDN card with which CAPI works, you may be able to use
 CAPI-capable applications such as fax systems. At this point, AVM cards can
 work with CAPI, as well as some active cards. For the AVM passive cards you
 need to visit the www.AVM.de website.
 .
 This package will be installed automatically if needed.

Package: libcapi20-dev
Architecture: linux-any
Section: libdevel
Depends: libcapi20-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: libcapi20-3 (<< 1:3.9.20060704+dfsg.3-4)
Suggests: isdnutils-doc
Description: ISDN utilities - CAPI development libraries
 If you have an ISDN card with which CAPI works, you may be able to use
 CAPI-capable applications such as fax systems. At this point, AVM cards can
 work with CAPI, as well as some active cards. For the AVM passive cards you
 need to visit the www.AVM.de website.
 .
 This package provides files needed for development of CAPI-aware software.

Package: pppdcapiplugin
Architecture: linux-any
Depends: ppp (>= 2.4.4), ppp (<< 2.4.6), libcapi20-3 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Section: net
Description: ISDN utilities - pppd plug-in for CAPI support
 Some ISDN cards can be used by CAPI utilities - for instance the AVM
 passive cards, when a module from the AVM website is loaded.
 .
 This package provides a plug-in for the regular PPP daemon to use CAPI
 on such cards.

# Package: isdnactivecards
# Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc s390 sh4 sparc64
# Depends: isdnutils-base (= ${binary:Version}), capiutils (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
# Description: ISDN utilities - active ISDN card support
#  This package provides firmware and firmware-loading utilities for active
#  ISDN cards (the Eicon, Eicon Diva, IBM Active 2000, ICN, or PCBIT-D cards).

# Package: isdneurofile
# Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc s390 sh4 sparc64
# Section: comm
# Depends: isdnutils-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
# Description: ISDN utilities - EUROFILE support
#  This package provides tools for sending/receiving files over an ISDN
#  connection via the EUROFILE protocol, which is not used much outside of
#  Germany (or even inside it).
